Gecode::TraceTraits< Float::FloatView > Class Reference

Trace traits for float views. More...

`#include <traits.hpp>`

## Public Types

typedef Float::FloatTraceView | TraceView
typedef FloatTraceDelta | TraceDelta
typedef FloatNum | SlackValue

## Detailed Description

Trace traits for float views.

Definition at line 38 of file traits.hpp.

## Member Typedef Documentation

## TraceView

typedef Float::FloatTraceView Gecode::TraceTraits< Float::FloatView >::TraceView

Definition at line 40 of file traits.hpp.

## TraceDelta

typedef FloatTraceDelta Gecode::TraceTraits< Float::FloatView >::TraceDelta

Definition at line 41 of file traits.hpp.

## SlackValue

typedef FloatNum Gecode::TraceTraits< Float::FloatView >::SlackValue

Definition at line 42 of file traits.hpp.

The documentation for this class was generated from the following file:

- gecode/float/trace/traits.hpp